function setup()
    sceneSetup()
    makeBlock()
    makeSphere()
end
   
function draw()
    scene:update(DeltaTime)
    scene:draw()
end

function touched(touch)
    touches.touched(touch)
end

function sceneSetup()
    require(asset.documents.Craft.Cameras)
    require(asset.documents.Craft.Touches)
    viewer.mode = FULLSCREEN
    scene = craft.scene()
    scene.sky.material.sky = color(72, 235, 215)       
    scene.sky.material.horizon = color(34, 30, 66)       
    scene.sky.material.ground = color(114, 31, 31)
    camera = scene.camera:get(craft.camera)
    camera.z = -10
    viewer = scene.camera:add(OrbitViewer, vec3(0,0,0), 23, 6, 800) 
end
